Build against rest 0.6